import { Component, Input, OnInit } from '@angular/core'
import { MqttclientService } from '../mqttclient.service'

@Component({
  selector: 'led',
  template: `
  <span [ngStyle]="{'color':color, 'font-size':'500%'}">&#x25cf;</span>
  `
})
export class LedindicatorComponent implements OnInit {

  @Input() topic : string = 'invalid'
  color : string = 'red'


  constructor(private mqttclientService : MqttclientService) { 
  }

  ngOnInit() {
    this.mqttclientService.register(this.topic, (message: string) => {
      if (message == 'ON') {
        this.color = '#40FF00'
      } else if (message == 'OFF') {
        this.color = 'red'
      } else {
        this.color = 'lightgrey'
      }
    })
  }

}

