import { Component, Input, OnInit } from '@angular/core';
import { MqttclientService } from '../mqttclient.service'

@Component({
  selector: 'onoff',
  template: `
  <div class="button">
    <button (click)="clickOn()" [ngStyle]="{'font-size':'150%'}">on</button>
    <button (click)="clickOff()" [ngStyle]="{'font-size':'150%'}">off</button>
  </div>
  `
})
export class OnOffButtonComponent implements OnInit {
  @Input() topic : string = 'invalid'

  constructor(private mqttclientService : MqttclientService) { }

  ngOnInit() {
  }

  clickOn() {
    console.log(`click on for ${this.topic}`)
    this.mqttclientService.publish(this.topic, "ON")
  }

  clickOff() {
    console.log(`click off for ${this.topic}`)
    this.mqttclientService.publish(this.topic, "OFF")
  }

}
